<!-- <button mat-raised-button color="primary" (click)="onPrintInvoice()">Print Report</button> -->
<!-- <router-outlet></router-outlet> -->
<!-- <router-outlet name="print"></router-outlet> -->



<button (click)="getSelectedRows()">Get Selected Rows</button>

<ag-grid-angular
    #agGrid
    style="width: 500px; height: 500px;"
    class="ag-theme-balham"
    [rowData]="rowData | async"
    [columnDefs]="columnDefs"
    rowSelection="multiple"
    (rowSelected)="onGridReady($event)"
    rowSelection="multiple"
    suppressRowClickSelection={true}
    [rowMultiSelectWithClick]="true"
    >
</ag-grid-angular>


<button (click)="genarateReport()">Generate Report</button>